
package de.ivu.elect.business.system.control;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.konfiguration.entity.ElectKonfigurationWerte;
import de.ivu.elect.business.konfiguration.entity.KonfigurationLoader;
import de.ivu.elect.business.system.boundary.HibernateStatistik;
import de.ivu.elect.jee.startup.PostStartup;

@Stateless
public class HibernateStatistikPostStartup implements PostStartup {

  @Inject
  HibernateStatistik hibernateStatistik;

  @Inject
  KonfigurationLoader konfigurationLoader;

  @Override
  public void postStartup() {
    if (isStatistikAutomatischAktivieren() && hibernateStatistik.isStatistikVerfuegbar()) {
      hibernateStatistik.aktiviereStatistik();
    }
  }

  protected boolean isStatistikAutomatischAktivieren() {
    return konfigurationLoader.resolveBooleanValue(ElectKonfigurationWerte.HIBERNATE_STATISTIKEN_AKTIVIEREN);
  }
}
